I have a SLES11SP3 server which I was able to upgrade to SP4.

Now I want to do the same on each of the 3 XEN VMs that are hosted on this box, but when I try to do updates via Yast it wants to see the initial repositories on the DVD used to install SLES in the first place. The running XEN VM can't see the Optical drive, and elsewhere I read that one might "just delete the repo that references the (USB) drive". I will readily admit that my knowledge of Linux is limited...

Can someone advise what is the correct approach to update the XEN VMs (the first also has OES11SP2 that needs to be updated). Is there a way that I should make the Optical drive accessible to the VM; or where is the repo that I should delete if that's the correct course of action?

Thanks in anticipation

Jerome